/**
 * Omits specific keys from an object.
 *
 * @example
 * import { omit } from "reakit-utils";
 *
 * omit({ a: "a", b: "b" }, ["a"]); // { b: "b" }
 */
export declare function omit<T extends Record<string, any>, K extends keyof T>(object: T, paths: ReadonlyArray<K> | K[]): Omit<T, K>;
